{% extends 'profile/layouts/base_layout.html' %}

{% load static %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables.min.css' %}">
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables-responsive.css' %}">
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <main role="main">
        <div class="jumbotron bg-berita-head text-putih text-center">
            <div class="container">
                <div class="row">
                    <div class="col-md-12 mt-5 mb-auto">
                        <h2 class="mt-3">{{title}} Merapi Trip</h2>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb justify-content-center">
                                <li class="breadcrumb-item"><a href="{% url 'profile:home' %}">Beranda</a></li>
                                <li class="breadcrumb-item active" aria-curent="page">{{title}}</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        <div class="bg-white">
            <div class="container">
                <div class="row bg-white">
                    <div class="col-md-8 mt-5 mb-5">
                        <h5 id="kategori_berita">{{title}}</h5>
                        <hr class="hr-sm mt-0 mb-4" align="left">
                        {% if is_detail == False %}
                        <table id="table_id" class="display nowrap" style="width:100%">
          						    <thead>
          						        <tr>
          						        	<th width="1%">No.</th>
        						            <th width="5%">Tanggal</th>
        						            <th>Judul Pengumuman</th>
                                <th width="5%">Jenis</th>
                                <th width="1%">File</th>
          						        </tr>
          						    </thead>
          						    <tbody>
          						    	{% for dt in announcements %}
          						        <tr>
          						        	<td>{{ dt.id}}</td>
          						            <td>{{ dt.created_at|date:"d M Y H:i" }}</td>
          						            <td><a href="{% url 'profile:announcement_detail' slug=dt.slug %}">{{ dt.title}}</a></td>
          						            <td>{{ dt.jenis}}</td>
                                  <td><i class="bi bi-{{dt.filex}}"></i></td>
          						        </tr>
          						        {% endfor %}
          						    </tbody>
            						</table>
            						{% else %}
                          {% if announcement %}
                          <h4>{{ announcement.title}}</h4>
                          <div class="berita-home-bages mb-3">
                              <i class="bi bi-folder"></i> {{ announcement.jenis}} | 
                              <i class="bi bi-calendar"></i> {{ announcement.created_at|date:"d M Y" }} 
                              <i class="bi bi-alarm"></i> {{ announcement.created_at|date:"H:i" }}
                          </div>
                          <hr class="hr-xs mt-0" align="center">
                          <div class="mt-0 mb-4" style="text-align:justify;">{{ announcement.description | safe }}</div>

                          {% if announcement.filex == 'pdf' %}
                          <object data="{{ announcement.dokumen.url}}" type="application/pdf" width="100%" height="100%">
                            <p>Lampiran - lihat dokumen <a href="{{ announcement.dokumen.url}}" target="_blank">berkas PDF.</a></p>
                          </object>
                          {% elif announcement.filex == 'img' %}
                          <span>Lampiran - dokumen gambar</span>
                          <img src="{{ announcement.dokumen.url}}" width="100%">
                          {% else %}
                          <span>Lampiran - Tidak ada dokumen.</span>
                          {% endif %}
                          
                          {% else %}
              						<h4>KONTEN BELUM TERSEDIA</h4>
                          {% endif %}
                       	{% endif %}

                    </div>
                    <div class="col-md-4 mt-5 mb-5">
                        <div class="news-sidebar mt-0 mb-3">
                            <h5>Menu Lain</h5>
                            <hr class="hr-sm mt-0" align="left">
                            <div class="news-submenu">
                                <ul>
                                	<li><a href="{% url 'profile:announcement' %}" alt="Pengumuman">Pengumuman</a></li>
                                    <li><a href="{% url 'profile:agenda' %}" alt="Agenda">Agenda</a></li>
                                    <li><a href="{% url 'profile:news' %}" alt="Berita">Berita</a></li>
                                    <li><a href="{% url 'profile:gallery' %}" alt="Galeri">Galeri</a></li>
                                    <li><a href="{% url 'profile:document' %}" alt="Dokumen Publikasi">Dokumen Publikasi</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="news-sidebar mt-5 mb-3">
                            <h5>Berita Terfavorit</h5>
                            <hr class="hr-sm mt-0" align="left">
                            {% if favs %}
                            {% for dt in favs %}
                            <div class="berita-kanan">
                                <h4 class="berita-judul-kanan">
                                    <a href="{% url 'profile:news_detail' slug=dt.slug %}">{{ dt.title }}</a>
                                </h4>
                                <div class="berita-text-cilik-kanan"><span>{{ dt.created_by.first_name }} {{ dt.created_by.last_name }} | {{ dt.created_at|date:"d M Y" }} | Dilihat : {{ dt.seen }} kali</span></div>
                            </div>
                            {% endfor %}
                            {% else %}
                            <span>Belum Ada Berita Favorit</span>
                            {% endif %}
                        </div>
                    </div>
                </div>

                <div class="row mb-1">
                  {% include 'profile/layouts/pengumuman_agenda.html' %}
                </div>
            </div>
        </div>

    </main>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/footer.html' %}
{% endblock footer %}
{% block scripts_bawah %}
    <script src="{% static 'profile/js/datatables/datatables.min.js' %}"></script>
    <script type="text/javascript">
    	$(document).ready(function() {
		    $('#table_id').DataTable( {
		    	"order": [ 0, 'desc' ],
		        // "dom": 'Bfrtip',
		        "responsive": true,
		        "scrollY": 200,
		        "scrollCollapse": true,
		        "scroller": true,
		        "columnDefs": [{ "visible" : false, "targets": [0], "searchable": false}],
		    });
		});

    </script>
{% endblock scripts_bawah %}